Trying to downgrade my AMD graphics driver, got: package fglrx-updates-dev (not installed) failed to install/upgrade: trying to overwrite '/usr/lib/fglrx/libGL.so', which is also in package fglrx-updates 2:13.350.1-0ubuntu2

Bug #1485425 reported by Ben Fritz on 2015-08-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned

Bug Description

A recent system update made my desktop graphics stop working; the proprietary driver is "in use" but Ubuntu is not actually using it for any sort of hardware acceleration. All the desktop effects are disabled, and there are ugly graphical artifacts on most of the buttons, which all worked before.

I tried downgrading all the fglrx-updates packages using synaptic, but I get error messages and the downgrade does not succeed.

ProblemType: Package
DistroRelease: Ubuntu 14.04
Package: fglrx-updates-dev (not installed)
ProcVersionSignature: Ubuntu 3.16.0-45.60~14.04.1-generic 3.16.7-ckt14
Uname: Linux 3.16.0-45-generic x86_64
.tmp.unity.support.test.1:

ApportVersion: 2.14.1-0ubuntu3.11
AptOrdering:
 fglrx-updates: Install
 fglrx-updates-dev: Install
 fglrx-updates: Configure
 fglrx-updates-dev: Configure
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: kwin
Date: Mon Aug 17 00:36:13 2015
DistUpgraded: 2014-09-21 22:36:02,106 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 fglrx-updates, 13.350.1: added
 fglrx-updates-core, 15.200: added
DuplicateSignature: package:fglrx-updates-dev:(not installed):trying to overwrite '/usr/lib/fglrx/libGL.so', which is also in package fglrx-updates 2:13.350.1-0ubuntu2
ErrorMessage: trying to overwrite '/usr/lib/fglrx/libGL.so', which is also in package fglrx-updates 2:13.350.1-0ubuntu2
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Cedar [Radeon HD 5000/6000/7350/8350 Series] [1002:68f9] (prog-if 00 [VGA controller])
   Subsystem: Diamond Multimedia Systems Device [1092:5450]
InstallationDate: Installed on 2011-04-19 (1581 days ago)
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Lsusb:
 Bus 001 Device 004: ID 058f:6377 Alcor Micro Corp. Multimedia Card Reader
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 003: ID 045e:00dd Microsoft Corp. Comfort Curve Keyboard 2000 V1.0
 Bus 002 Device 002: ID 045e:005f Microsoft Corp. Wireless MultiMedia Keyboard
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: Gateway W5243
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.16.0-45-generic root=UUID=9801042e-88cf-4809-a818-7b7a700f2969 ro splash quiet vga=791 quiet splash
Renderer: Software
SourcePackage: fglrx-installer-updates
Title: package fglrx-updates-dev (not installed) failed to install/upgrade: trying to overwrite '/usr/lib/fglrx/libGL.so', which is also in package fglrx-updates 2:13.350.1-0ubuntu2
UpgradeStatus: Upgraded to trusty on 2014-09-22 (329 days ago)
dmi.bios.date: 11/15/2007
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: MCP61SM-GM
dmi.board.vendor: ELITEGROUP
dmi.board.version: 1.0
dmi.chassis.asset.tag: Unknow
dmi.chassis.type: 3
dmi.chassis.vendor: Gateway
dmi.chassis.version: MCP61SM-GM
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd11/15/2007:svnGateway:pnW5243:pvr400:rvnELITEGROUP:rnMCP61SM-GM:rvr1.0:cvnGateway:ct3:cvrMCP61SM-GM:
dmi.product.name: W5243
dmi.product.version: 400
dmi.sys.vendor: Gateway
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.libdrm2: libdrm2 2.4.60-2~ubuntu14.04.1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.4
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.6
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau N/A
xserver.bootTime: Mon Aug 17 00:26:26 2015
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.15.1-0ubuntu2.7

Ben Fritz (fritzophrenic) wrote :
tags: removed: need-duplicate-check
To post a comment you must log in.